Packages - Freedom Issue #2644

[nodejs-emojione] Non-free license
2020-03-01 08:43 AM - grizzlyuser

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

Page of npm package is [1].
Although the license of the source code files appear to be MIT, the actual emoijis are under a non-free license [2] that redirects to [3].

The following point of the license are enough to call it non-free:
4. Businesses can use our free emoji for testing purposes only.
[1] https://www.npmjs.com/package/emojione

[2] https://www.emojione.com/licenses/free
[3] https://www.joypixels.com/licenses/free

History

#1 - 2022-04-14 07:38 AM - gap

Confirmed.

A previous version, EmojiOne v2, was free, licensed under CC-BY-4.0-Int, which could be packaged.
The latest free version appears to be 2.2.7.

#2 - 2022-12-13 03:29 PM - GNUtoo
The Arch Linux package information shows that there is no package that uses nodejs-emojione™.
So unless there are real use cases, it's probably easier to just blacklist it not to have to maintain it or end up with security issues if it's not maintained.

What do people think about that? Are there users of this package?

'https://archlinux.org/packages/community/any/nodejs-emojione/

#3 - 2022-12-13 03:30 PM - GNUtoo

- Status changed from unconfirmed to confirmed

I've also confirmed that its license is indeed nonfree by running makepkg -o and looking at the LICENSE.md file.
